summaryrefslogtreecommitdiff
path: root/mk/rootfs/openrc/etc/init.d/loopback
diff options
context:
space:
mode:
Diffstat (limited to 'mk/rootfs/openrc/etc/init.d/loopback')
-rw-r--r--mk/rootfs/openrc/etc/init.d/loopback30
1 files changed, 30 insertions, 0 deletions
diff --git a/mk/rootfs/openrc/etc/init.d/loopback b/mk/rootfs/openrc/etc/init.d/loopback
new file mode 100644
index 0000000..a4dde55
--- /dev/null
+++ b/mk/rootfs/openrc/etc/init.d/loopback
@@ -0,0 +1,30 @@
+#!/sbin/openrc-run
+# Copyright (c) 2013 William Hubbs <w.d.hubbs@gmail.com>
+# Released under the 2-clause BSD license.
+
+description="Configures the loopback interface."
+
+start()
+{
+ if [ "$RC_UNAME" = Linux ]; then
+ ebegin "Bringing up network interface lo"
+ if command -v ip > /dev/null 2>&1; then
+ ip addr add 127.0.0.1/8 dev lo brd + scope host 2>/dev/null
+ ip route add 127.0.0.0/8 dev lo scope host 2>/dev/null
+ ip link set lo up
+ else
+ ifconfig lo 127.0.0.1 netmask 255.0.0.0
+ route add -net 127.0.0.0 netmask 255.0.0.0 gw 127.0.0.1
+ fi
+ else
+ ebegin "Bringing up network interface lo0"
+ ifconfig lo0 127.0.0.1 netmask 255.0.0.0
+ route -q add -inet 127.0.0.0 -netmask 255.0.0.0 127.0.0.1
+ fi
+ eend $?
+}
+
+stop()
+{
+ return 0
+}